首页
登录 | 注册

ubuntu16.04下编译安装vim8.1

之前写过一篇centos7下编译安装vim8.0的教程,ubuntu16.04相比centos7下安装过程不同在于依赖包名字的不同,其余都是一样。下面给出ubuntu16.04编译安装vim8.0需要提前安装的依赖包,默认系统已安装有python2.7和python3


sudo apt-get install libncurses5-dev libgnome2-dev libgnomeui-dev \

libgtk2.0-dev libatk1.0-dev libbonoboui2-dev \

libcairo2-dev libx11-dev libxpm-dev libxt-dev python-dev \

python3-dev ruby-dev lua5.1 lua5.1-dev git

相关文章

  • 当我们无法获取ip地址时可以使用dhcp来动态获取ip地址,安装dhcpcd5和dhcpcd-gtk sudo apt-get install dhcpcd5 sudo apt-get install dhcpcd-gtk 使用ifconf ...
  •         前面写过一篇centos7下搜狗输入法的安装教程,现在把搜狗输入法在Ubuntu下的安装方法也记录一下,相比之下Ubuntu下安装搜狗输入法要简便得多 安装fcitx以支持搜狗输入法 sudo add-apt-reposit ...
  • CentOS 7安装Python3.6过程(让linux系统共存Python2和Python3环境)
    CentOS 7系统自带了python2,不过可以不用2版本,直接使用python3运行python脚本就可以,但是千万别去动系统自带的python2,因为有程序依赖目前的python2环境,比如yum,动了yum就无法运行了,其他有的程序 ...
  • CentOS 安装Python3.x常见问题
    CentOS 6.x自带的Python版本是2.6,CentOS 7.x上自带的是2.7,我们要自己安装Python3.X,配置环境,不过一般安装过程不会一帆风顺,往往有些报错,在CentOS以及其他的Linux系统中遇到安装包安装错误的原 ...
  • 相信用过centos自带的输入法的朋友都会感叹这也实在是太难用了吧,使用拼音打出来的词总是不能在前几个匹配到,即使是一些常用词也是如此,简直无法忍受跟个zz似的.吐槽完了,这里给出centos7下搜狗输入法的安装方法,帮助施主早日脱离苦海, ...

2020 cecdns.com webmaster#cecdns.com
12 q. 0.063 s.
京ICP备10005923号